Skip to main content
GET
List contracts

Authorizations

X-API-KEY
string
header
required

API Key Authentication.

Query Parameters

customerIds[]
string<uuid>[]

Only return contracts of these customers, identified by their id in our system.

customerExternalIds[]
string[]

Only return contracts of these customers, identified by their id in your system.

Pattern: ^[a-zA-Z0-9_-]+$
status[]
enum<string>[]

Only return contracts in these statuses. All statuses are returned when omitted.

Available options:
active,
canceled,
completed,
draft
offset
number
default:0

Number of items to skip before collecting the page.

Required range: x >= 0
limit
number
default:100
required

Maximum number of items to return per page.

Required range: 1 <= x <= 100

Response

200 - application/json

Default Response

items
object[]
required

A list of items.

hasMore
boolean
required

Indicates if there are more items to fetch.